summaryrefslogtreecommitdiff
path: root/tests/pr
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1997-03-14 04:14:37 +0000
committerJim Meyering <jim@meyering.net>1997-03-14 04:14:37 +0000
commit808a6a2308a10dfcfec080f9b66ff2663cc8894b (patch)
tree554831b1059f5f5e761b57b9f6b844ed4d83e989 /tests/pr
parent29e56fa0969f5bd6b4366892f2ae9caf6834960c (diff)
downloadcoreutils-808a6a2308a10dfcfec080f9b66ff2663cc8894b.tar.xz
.
Diffstat (limited to 'tests/pr')
-rwxr-xr-xtests/pr/pr-tests19
1 files changed, 18 insertions, 1 deletions
diff --git a/tests/pr/pr-tests b/tests/pr/pr-tests
index c71dbf8bf..fb1fce63e 100755
--- a/tests/pr/pr-tests
+++ b/tests/pr/pr-tests
@@ -3681,8 +3681,25 @@ else
esac
fi
test -s 12md.E || rm -f 12md.E
+$xx --test -h x -o 0 $srcdir/margin-0.I > margin-0.O 2> margin-0.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test margin-0 failed: ../../src/pr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp margin-0.O $srcdir/margin-0.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed margin-0"; fi ;;
+ 1) $echo "Test margin-0 failed: files margin-0.O and $srcdir/margin-0.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test margin-0 may have failed." 1>&2;
+ $echo The command "cmp margin-0.O $srcdir/margin-0.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s margin-0.E || rm -f margin-0.E
if test $errors = 0 ; then
- $echo Passed all 216 tests. 1>&2
+ $echo Passed all 217 tests. 1>&2
else
$echo Failed $errors tests. 1>&2
fi